> For the complete documentation index, see [llms.txt](https://rwaperp-1.gitbook.io/rwaperp-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://rwaperp-1.gitbook.io/rwaperp-docs/rwa-perp-b2b-api/rest-api/choose-an-endpoint.md).

# Choose an endpoint

Select endpoints for common integration scenarios.

### Core endpoints

| Endpoint                       | Request                                                                                               | Response `data`                                                    |
| ------------------------------ | ----------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ |
| `GET /v1/public/info`          | None                                                                                                  | `{ rows: [{ symbol, base_tick, quote_tick, min_notional, ... }] }` |
| `GET /v1/public/market_trades` | query: `symbol`, `limit`                                                                              | `{ rows: [{ side, executed_price, executed_quantity, ... }] }`     |
| `POST /v1/public/query`        | body: `{ type, ... }`                                                                                 | See Public Query API                                               |
| `GET /v1/orders`               | RWA; `symbol`, `status` (`NEW` returns resting orders only; use `FILLED`/`COMPLETED` for filled ones) | `{ rows, meta }`                                                   |
| `PUT /v1/order`                | `order_price` / `order_quantity` only; cancel and re-place to change anything else                    | `{ status }`                                                       |
| `POST /v1/client/leverages`    | RWA; `{ symbol, leverage }`                                                                           | Leverage info                                                      |
| `GET /v1/asset/history`        | RWA; `token`, `page`, `size`                                                                          | `{ rows, meta }`                                                   |
| `POST /v1/withdraw_request`    | Wallet + RWA, see withdrawals                                                                         | Withdrawal acceptance result                                       |

For a guided example of the primary trading operations, see the trading workflow.

***

### Endpoints by scenario

| Scenario                 | Method           | Path                                             | Auth                                                                                |
| ------------------------ | ---------------- | ------------------------------------------------ | ----------------------------------------------------------------------------------- |
| Look up account\_id      | GET              | `/v1/get_account?address=&broker_id=rwaperp_xyz` | None                                                                                |
| Bind API key             | POST             | `/v1/dex_api_key`                                | Wallet                                                                              |
| Trading rules            | GET              | `/v1/public/info`                                | None                                                                                |
| Market snapshot          | GET              | `/v1/public/futures`                             | None                                                                                |
| Real-time market data    | WS               | Public stream + `subscribe`                      | None                                                                                |
| Balance                  | GET              | `/v1/client/holding`                             | RWA                                                                                 |
| Positions                | GET              | `/v1/positions`                                  | RWA                                                                                 |
| Open orders              | GET              | `/v1/orders?status=NEW`                          | RWA                                                                                 |
| Filled orders            | GET              | `/v1/orders?status=FILLED` or `COMPLETED`        | RWA                                                                                 |
| Individual fills         | GET              | `/v1/trades`                                     | RWA                                                                                 |
| Place / cancel order     | POST/DELETE      | `/v1/order`                                      | RWA                                                                                 |
| Change price or quantity | DELETE then POST | `/v1/order`                                      | RWA (recommended). `PUT /v1/order` can only change `order_price` / `order_quantity` |
| Execution reports        | WS               | `executionreport`                                | RWA                                                                                 |
| Asset history            | GET              | `/v1/asset/history`                              | RWA                                                                                 |
| Withdrawal               | GET + POST       | `/v1/withdraw_nonce` → `/v1/withdraw_request`    | RWA + wallet, see withdrawals                                                       |
| Change leverage          | POST             | `/v1/client/leverages`                           | RWA                                                                                 |
| Aggregated read-only     | POST             | `/v1/public/query`                               | None                                                                                |

For request and response details, see the trading workflow.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://rwaperp-1.gitbook.io/rwaperp-docs/rwa-perp-b2b-api/rest-api/choose-an-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
